header {
    width: 100%;
    height: var(--header-height);
    position: fixed;
    /* top: 12px; */
    display: flex;
    justify-content: center;
    align-items: center;
    /* border-bottom: var(--border); */
    padding: 0 var(--pad);
    z-index: 10;
}

.headerInner {
    width: 100%;
    /* height: 90%; */
    max-width: var(--mxw);
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.506);
    backdrop-filter: blur(10px);
    padding: 12px;
    border-radius: var(--br);
    transition: box-shadow 0.5s ease-in-out;

}

.headerplaceholder {
    width: 100%;
    height: var(--header-height);
}

.logo p {
    font-size: 20px;
}

.logoImg {
    width: clamp(120px, 10vw, 160px);
    cursor: pointer;
}

.bxsdw {

    box-shadow: var(--sdw)
}

nav {
    display: flex;
    align-items: center;
    gap: 16px;
}

.burgerCont {
    width: 30px;
    height: 20px;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 6px;
    cursor: pointer;

}

.burgerLine {
    width: 100%;
    min-height: 2.5px;
    max-height: 2.5px;
    background-color: var(--hlt2);
    border-radius: 6px;
    visibility: visible;
    transition: transform 0.3s ease-in-out, visibility 0.3s ease-in-out, background-color 0.3s ease-in-out;
    transform-origin: center;
}


.transformBurger .burgerLine:nth-child(1) {
    background-color: var(--hlt1);
    animation: slideAndRotate1 0.8s forwards;
}

.transformBurger .burgerLine:nth-child(2) {

    visibility: hidden;
    transition-delay: 0.1s;

}

.transformBurger .burgerLine:nth-child(3) {
    background-color: var(--hlt1);
    animation: slideAndRotate3 0.8s forwards;
}

@keyframes slideAndRotate1 {
    0% {
        transform: translateY(0) rotate(0);
    }

    50% {
        transform: translateY(10px) rotate(0);
    }

    100% {
        transform: translateY(9px) rotate(45deg);
    }
}

@keyframes slideAndRotate3 {
    0% {
        transform: translateY(0) rotate(0);
    }

    50% {
        transform: translateY(-10px) rotate(0);
    }

    100% {
        transform: translateY(-9px) rotate(-45deg);
    }
}


.resetBurger .burgerLine:nth-child(1) {
    animation: slideBack1 0.8s forwards;
}

.resetBurger .burgerLine:nth-child(2) {
    visibility: visible;
    transition-delay: 0.3s;
}

.resetBurger .burgerLine:nth-child(3) {
    animation: slideBack2 0.8s forwards;
}

@keyframes slideBack1 {
    0% {
        transform: translateY(9px) rotate(45deg);
    }

    50% {
        transform: translateY(10px) rotate(0);
    }

    100% {
        transform: translateY(0) rotate(0);
    }
}

@keyframes slideBack2 {
    0% {
        transform: translateY(-9px) rotate(-45deg);
    }

    50% {
        transform: translateY(-10px) rotate(0);
    }

    100% {
        transform: translateY(0) rotate(0);
    }
}


.respMenu {
    width: calc(100% - (var(--pad)*2));
    max-width: 400px;
    position: fixed;
    right: -420px;
    top: var(--header-height);
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 32px;
    border-radius: var(--br);
    box-shadow: var(--sdw);
    background-color: rgba(255, 255, 255, 0.506);
    backdrop-filter: blur(10px);
    transition: right 0.3s ease-in-out;
}

.respMenu .navLink {
    margin-top: 8px;
}

.slideIn {
    right: var(--pad);
}


.productSubline {
    width: fit-content;


    position: absolute;

    top: var(--header-height);
    right: 0;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 8px;
    padding: 12px;
    border-radius: var(--br);
    box-shadow: var(--sdw);
    background-color: rgba(255, 255, 255, 0.506);
    backdrop-filter: blur(10px);
    opacity: 0;
    transition: opacity 0.3s ease-in-out;

}

/* .productSubline a{
    text-align: center;
} */


.opacity {
    opacity: 1 !important;

}

@media(max-width:820px) {}

@media(max-width:750px) {
    nav {
        display: none;

    }

    .headerInner {
        padding: 24px 12px;
    }
}

@media(min-width:750px) {
    .burgerCont {
        display: none;
    }
}